> ## Documentation Index
> Fetch the complete documentation index at: https://www.c1.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Compliance Framework Attribute Value

> Get an attribute value by id.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples get /api/v1/attributes/compliance_frameworks/{id}
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/attributes/compliance_frameworks/{id}:
    get:
      tags:
        - Compliance Framework
      summary: Get Compliance Framework Attribute Value
      description: Get an attribute value by id.
      operationId: c1.api.attribute.v1.Attributes.GetComplianceFrameworkAttributeValue
      parameters:
        - in: path
          name: id
          required: true
          schema:
            description: The id field.
            readOnly: false
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.attribute.v1.GetComplianceFrameworkAttributeValueResponse
          description: Successful response
      x-codeSamples:
        - lang: go
          label: GetComplianceFrameworkAttributeValue
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.Attributes.GetComplianceFrameworkAttributeValue(ctx, operations.C1APIAttributeV1AttributesGetComplianceFrameworkAttributeValueRequest{\n        ID: \"<id>\",\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.GetComplianceFrameworkAttributeValueResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.attributes.getComplianceFrameworkAttributeValue({
                id: "<id>",
              });

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.attribute.v1.GetComplianceFrameworkAttributeValueResponse:
      description: The GetComplianceFrameworkAttributeValueResponse message.
      properties:
        value:
          $ref: '#/components/schemas/c1.api.attribute.v1.AttributeValue'
      title: Get Compliance Framework Attribute Value Response
      type: object
      x-speakeasy-name-override: GetComplianceFrameworkAttributeValueResponse
    c1.api.attribute.v1.AttributeValue:
      description: AttributeValue is the value of an attribute of a defined type.
      properties:
        attributeTypeId:
          description: The ID of the AttributeType that this AttributeValue belongs to.
          readOnly: false
          type: string
        createdAt:
          format: date-time
          readOnly: true
          type: string
        deletedAt:
          format: date-time
          readOnly: true
          type: string
        id:
          description: The ID of the AttributeValue.
          readOnly: false
          type: string
        updatedAt:
          format: date-time
          readOnly: true
          type: string
        value:
          description: >-
            The value of the AttributeValue. This is the string that will be
            displayed to the user.
          readOnly: false
          type: string
      title: Attribute Value
      type: object
      x-speakeasy-name-override: AttributeValue
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````